use crate::prelude::*;

#[derive(Deserialize, Debug)]
pub struct Params {
    username: String,
    email: String,
}

pub async fn create(
    State(state): State<AppState>,
    Json(params): Json<Params>,
) -> Result<Json<i32>, StatusCode> {
    let id = db::users::create_user(&params.username, &params.email, &state.pool)
        .await
        .handle_internal()?;
    Ok(Json(id))
}
