use futures::TryStreamExt;

use crate::prelude::*;

pub async fn delete(State(state): State<AppState>, claims: Claims) -> Result<(), StatusCode> {
    let storage = &state.storage;
    db::users::delete_user(claims.user_id, &state.pool)
        .try_for_each_concurrent(5, |file_id| async move {
            let _ = storage.delete(file_id).await;
            Ok(())
        })
        .await
        .handle_internal()
}
