use crate::prelude::*;

#[derive(Deserialize, Debug)]
pub struct Params {
    user_id: i32,
}

pub async fn get(
    State(state): State<AppState>,
    Query(params): Query<Params>,
) -> Result<Json<db::users::UserInfo>, StatusCode> {
    let info = db::users::get(params.user_id, &state.pool)
        .await
        .handle_internal()?;
    Ok(Json(info))
}
