use futures::TryStreamExt;

use crate::prelude::*;

#[derive(Deserialize, Debug)]
pub struct Params {
    search_string: String,
}

pub async fn search(
    State(state): State<AppState>,
    Query(params): Query<Params>,
) -> sqlx::Result<Json<Vec<db::users::UserInfo>>, StatusCode> {
    let users = db::users::search_for_user(&params.search_string, &state.pool)
        .take(5)
        .try_collect()
        .await
        .handle_internal()?;
    Ok(Json(users))
}
